summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/a/minicom
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/a/minicom')
-rw-r--r--slackware64-current/source/a/minicom/config.sub-x86_64.diff.gz1
-rw-r--r--slackware64-current/source/a/minicom/doinst.sh.gz1
-rw-r--r--slackware64-current/source/a/minicom/lrzsz_0.12.21-4.diff.gz1
-rw-r--r--slackware64-current/source/a/minicom/lrzsz_0.12.21.orig.tar.gz1
-rw-r--r--slackware64-current/source/a/minicom/minicom-2.1.tar.gz1
-rw-r--r--slackware64-current/source/a/minicom/minicom-2.1.tar.gz.asc1
-rwxr-xr-xslackware64-current/source/a/minicom/minicom.SlackBuild155
-rw-r--r--slackware64-current/source/a/minicom/minicom.users.gz1
-rw-r--r--slackware64-current/source/a/minicom/minirc.dfl.gz1
-rw-r--r--slackware64-current/source/a/minicom/slack-desc19
-rw-r--r--slackware64-current/source/a/minicom/wintcap.diff.gz1
11 files changed, 183 insertions, 0 deletions
diff --git a/slackware64-current/source/a/minicom/config.sub-x86_64.diff.gz b/slackware64-current/source/a/minicom/config.sub-x86_64.diff.gz
new file mode 100644
index 000000000..4b8064f77
--- /dev/null
+++ b/slackware64-current/source/a/minicom/config.sub-x86_64.diff.gz
@@ -0,0 +1 @@
+3086dafb0b501de611ac9952044493e949c4cb04
diff --git a/slackware64-current/source/a/minicom/doinst.sh.gz b/slackware64-current/source/a/minicom/doinst.sh.gz
new file mode 100644
index 000000000..459139bfd
--- /dev/null
+++ b/slackware64-current/source/a/minicom/doinst.sh.gz
@@ -0,0 +1 @@
+7180abbf7d022209c4aa8b59b1f35bee0e9d7054
diff --git a/slackware64-current/source/a/minicom/lrzsz_0.12.21-4.diff.gz b/slackware64-current/source/a/minicom/lrzsz_0.12.21-4.diff.gz
new file mode 100644
index 000000000..8e3608142
--- /dev/null
+++ b/slackware64-current/source/a/minicom/lrzsz_0.12.21-4.diff.gz
@@ -0,0 +1 @@
+4c7b36f7ac45e07b1697cd8db3285cd4a8610724
diff --git a/slackware64-current/source/a/minicom/lrzsz_0.12.21.orig.tar.gz b/slackware64-current/source/a/minicom/lrzsz_0.12.21.orig.tar.gz
new file mode 100644
index 000000000..acfb16ccf
--- /dev/null
+++ b/slackware64-current/source/a/minicom/lrzsz_0.12.21.orig.tar.gz
@@ -0,0 +1 @@
+1189f17ec758c3a6ea55e36dfb68f35b97ec3c2d
diff --git a/slackware64-current/source/a/minicom/minicom-2.1.tar.gz b/slackware64-current/source/a/minicom/minicom-2.1.tar.gz
new file mode 100644
index 000000000..536c46a02
--- /dev/null
+++ b/slackware64-current/source/a/minicom/minicom-2.1.tar.gz
@@ -0,0 +1 @@
+720273f6ee8db5fb2da4379ac610a520a31aba70
diff --git a/slackware64-current/source/a/minicom/minicom-2.1.tar.gz.asc b/slackware64-current/source/a/minicom/minicom-2.1.tar.gz.asc
new file mode 100644
index 000000000..4d2ca812a
--- /dev/null
+++ b/slackware64-current/source/a/minicom/minicom-2.1.tar.gz.asc
@@ -0,0 +1 @@
+3314ca03f4072d32b82006ea4fa517908751f849
diff --git a/slackware64-current/source/a/minicom/minicom.SlackBuild b/slackware64-current/source/a/minicom/minicom.SlackBuild
new file mode 100755
index 000000000..91e7baa9b
--- /dev/null
+++ b/slackware64-current/source/a/minicom/minicom.SlackBuild
@@ -0,0 +1,155 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.1
+BUILD=${BUILD:-4}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-minicom
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# minicom
+cd $TMP
+rm -rf minicom-$VERSION
+tar xzvf $CWD/minicom-$VERSION.tar.gz || exit 1
+cd minicom-$VERSION
+
+# The following command renames the internal implementation of getline
+# to g_getline as newer versions of Glibc provide an incompatible version:
+sed -i -e "s/getline/g_&/" $(grep -lr getline *)
+
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+# Fix re-declaration of BC in termcap.h
+zcat $CWD/wintcap.diff.gz | patch -p1 --verbose || exit 1
+
+## Forget it... it just doesn't help.
+## Remove the autoconf program for this sorry old turd or abandon all hope.
+#touch configure
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc
+make -j3 || exit 1
+make install DESTDIR=$PKG || exit 1
+mkdir -p $PKG/etc
+zcat $CWD/minicom.users.gz > $PKG/etc/minicom.users.new
+zcat $CWD/minirc.dfl.gz > $PKG/etc/minirc.dfl.new
+gzip -9 $PKG/usr/man/man?/*.?
+mkdir -p $PKG/usr/doc/minicom-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog FILE_ID.DIZ INSTALL NEWS README TODO \
+ doc \
+ $PKG/usr/doc/minicom-$VERSION
+
+# lzrz
+# If autoconf causes failure here (which it probably will),
+# remove it temporarily and the build should work fine...
+cd $TMP
+tar xzvf $CWD/lrzsz_0.12.21.orig.tar.gz || exit 1
+cd lrzsz-990823
+# Make x86_64 a valid machine type (thanks to Fred Emmott)
+zcat $CWD/config.sub-x86_64.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/lrzsz_0.12.21-4.diff.gz | patch -p1 --verbose || exit 1
+chown -R root:root .
+#touch configure
+./configure \
+ --prefix=/usr \
+ $ARCH-slackware-linux
+make -j3 || exit 1
+cd src
+cat lrz > $PKG/usr/bin/lrz
+cat lsz > $PKG/usr/bin/lsz
+chmod 755 $PKG/usr/bin/l*z
+cd ../man
+for page in lrz.1 lsz.1 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+echo '.so man1/lrz.1' | gzip -9c > $PKG/usr/man/man1/rz.1.gz
+echo '.so man1/lsz.1' | gzip -9c > $PKG/usr/man/man1/sz.1.gz
+cd ../po
+mkdir -p $PKG/usr/share/locale/de/LC_MESSAGES
+cat de.gmo > $PKG/usr/share/locale/de/LC_MESSAGES/lrzsz.mo
+cd ..
+mkdir -p $PKG/usr/doc/lrzsz-0.12.21
+cp -a ABOUT-NLS AUTHORS COMPATABILITY COPYING INSTALL NEWS README-alpha \
+ README.cvs README.gettext README.isdn4linux README.systems \
+ README.tests THANKS TODO $PKG/usr/doc/lrzsz-0.12.21
+
+
+( cd $PKG
+ ( cd usr/bin ; rm -rf rx )
+ ( cd usr/bin ; ln -sf rz rx )
+ ( cd usr/bin ; rm -rf rb )
+ ( cd usr/bin ; ln -sf rz rb )
+ ( cd usr/bin ; rm -rf sb )
+ ( cd usr/bin ; ln -sf sz sb )
+ ( cd usr/bin ; rm -rf sx )
+ ( cd usr/bin ; ln -sf sz sx )
+ ( cd usr/bin ; rm -rf rz )
+ ( cd usr/bin ; ln -sf lrz rz )
+ ( cd usr/bin ; rm -rf lrb )
+ ( cd usr/bin ; ln -sf lrz lrb )
+ ( cd usr/bin ; rm -rf lrx )
+ ( cd usr/bin ; ln -sf lrz lrx )
+ ( cd usr/bin ; rm -rf sz )
+ ( cd usr/bin ; ln -sf lsz sz )
+ ( cd usr/bin ; rm -rf lsb )
+ ( cd usr/bin ; ln -sf lsz lsb )
+ ( cd usr/bin ; rm -rf lrx )
+ ( cd usr/bin ; ln -sf lsz lrx )
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+
+cd $PKG
+makepkg -l y -c n $TMP/minicom-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/slackware64-current/source/a/minicom/minicom.users.gz b/slackware64-current/source/a/minicom/minicom.users.gz
new file mode 100644
index 000000000..79de2d168
--- /dev/null
+++ b/slackware64-current/source/a/minicom/minicom.users.gz
@@ -0,0 +1 @@
+99206b03807377e90882b79021eaed5dfc23762e
diff --git a/slackware64-current/source/a/minicom/minirc.dfl.gz b/slackware64-current/source/a/minicom/minirc.dfl.gz
new file mode 100644
index 000000000..710d10b71
--- /dev/null
+++ b/slackware64-current/source/a/minicom/minirc.dfl.gz
@@ -0,0 +1 @@
+bfe0184378764eca321ed69f44958d69ec1b4b70
diff --git a/slackware64-current/source/a/minicom/slack-desc b/slackware64-current/source/a/minicom/slack-desc
new file mode 100644
index 000000000..67d1878c9
--- /dev/null
+++ b/slackware64-current/source/a/minicom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+minicom: minicom (communications package)
+minicom:
+minicom: Minicom - a full featured menu-driven communications package similar
+minicom: to the DOS program 'Telix'. Also includes sz/rz - utilities used to
+minicom: upload and download files using the Zmodem protocol.
+minicom:
+minicom:
+minicom:
+minicom:
+minicom:
+minicom:
diff --git a/slackware64-current/source/a/minicom/wintcap.diff.gz b/slackware64-current/source/a/minicom/wintcap.diff.gz
new file mode 100644
index 000000000..66ea9779a
--- /dev/null
+++ b/slackware64-current/source/a/minicom/wintcap.diff.gz
@@ -0,0 +1 @@
+5bb4871098515c5a6dfa8777acf010dfe3bfc1b5